ランタイム: Mix::Scene::IParticleGenerator Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IParticleGenerator Class Referenceabstract

パーティクルジェネレータータインターフェース More...

`#include <IParticleGenerator.h>`

Inheritance diagram for Mix::Scene::IParticleGenerator:
[legend]
Collaboration diagram for Mix::Scene::IParticleGenerator:
[legend]

## Public Member Functions

virtual void | Internal_GetData (UInt32 dataSize, void *pData)=0
| データを取得します More...
virtual void | Debug_Draw (const Mix::Matrix4x4 &worldMat, Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IParticleGenerator (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

パーティクルジェネレータータインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IParticleGenerator::~IParticleGenerator | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IParticleGenerator::Internal_GetData | ( | UInt32 | dataSize,
|  | void * | pData
| ) |  |

pure virtual

データを取得します

Parameters

  [in] | dataSize | データのサイズ
  [out] | pData | 取得したデータを渡すポインタ

Note
  このメソッドは Mix::Scene::IParticleProcessor::Add で処理するデータを取得する際に使用します。
  プロセッサー( Mix::Scene::IParticleProcessor )は、このデータを使用してフェイス( Mix::Scene::IParticleProcessor::FACE )を生成するかたちになります。

virtual void Mix::Scene::IParticleGenerator::Debug_Draw | ( | const Mix::Matrix4x4 & | worldMat,
|  | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer
| ) |  |

pure virtual

デバッグ描画をします

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス
  [in] | pPerspectiveRenderer | 描画に使用するパースペクティブレンダラーを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ

The documentation for this class was generated from the following file:

- Mix/Scene/IParticleGenerator.h